Bug 1006999 - Inconsistency in languages on script task and sequence flow
Inconsistency in languages on script task and sequence flow
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: ER5
: 6.0.0
Assigned To: Tihomir Surdilovic
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 13:02 EDT by Radovan Synek
Modified: 2014-08-06 16:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:07:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radovan Synek 2013-09-11 13:02:00 EDT
Eligible languages on script task and sequence flow are different, see the table below:

script task
label                  language namespace
-----------------------------------------------
java                   http://www.java.com/java
mvel                   http://www.mvel.org/2.0

sequence flow
label                  language namespace
-----------------------------------------------                   
java                   http://www.java.com/java
drools                 http://www.jboss.org/drools/rule

What languages should be supported? All of these three - java, drools, mvel - or is there any reason to have different set of languages on these elements? Also this should be harmonized with Eclipse designer - see bug 1006964.

Moreover, when you choose language on script task, the same language is used for the on-entry and on-exit action. But if you want to fill on-entry/on-exit action on any other type of task, there is no way to choose in which language you should type in and http://www.java.com/java namespace is generated.
Comment 1 Radovan Synek 2013-09-12 02:37:37 EDT
(In reply to Radovan Synek from comment #0)

> Moreover, when you choose language on script task, the same language is used
> for the on-entry and on-exit action. But if you want to fill
> on-entry/on-exit action on any other type of task, there is no way to choose
> in which language you should type in and http://www.java.com/java namespace
> is generated.

Sorry, this was not accurate description, the script language property is present in all tasks (and works well) except business rule task - where this property is missing and so the user cannot specify which language should be used for on-entry/on-exit action.
Comment 2 Kris Verlaenen 2013-09-12 21:26:49 EDT
(In reply to Radovan Synek from comment #0)
> Eligible languages on script task and sequence flow are different, see the
> table below:
> 
> script task
> label                  language namespace
> -----------------------------------------------
> java                   http://www.java.com/java
> mvel                   http://www.mvel.org/2.0

This is correct for all scripts (both script task and on-entry/exit scripts)

> sequence flow
> label                  language namespace
> -----------------------------------------------                   
> java                   http://www.java.com/java
> drools                 http://www.jboss.org/drools/rule

All constraints should either be java, mvel or drools.
Comment 3 Tihomir Surdilovic 2013-10-07 13:30:19 EDT
fixed in designer master and 6.0.x branches. note for onentry/exit actions the user choice will not be considered unless user actually defines an onentry/exit action (default is java).
Comment 4 Radovan Synek 2013-12-04 04:56:54 EST
Verified on BPMS-6.0.0.ER5

Note You need to log in before you can comment on or make changes to this bug.